List Payers JSON
List Stedi's supported payers in JSON format
/payersYou can use this endpoint to retrieve Payer IDs, determine which transactions each payer supports, and check whether transaction enrollment is required for the transaction types you plan to send and receive.
You can also find a searchable list of payers in the Payer Network.
Payer records can change. If you store payer details in your own system, refresh them at least once a day.
A Stedi API Key for authentication.
Query Parameters
The maximum number of elements to return per page. If not set, Stedi returns all payers in a single response (no pagination).
The nextPageToken value from a previous response. You can use this to get the next page of results. If not set, Stedi returns the first page of results.
Response
Payers that Stedi supports for each transaction type. Results are returned in alphabetical order of the Stedi ID.
Array item
Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.
curl --request GET \ --url "https://payers.us.stedi.com/2024-04-01/payers?pageSize=100" \ --header "Authorization: <api_key>"{
"items": [
{
"aliases": [
"00420",
"13123",
"1584",
"4714",
"95655",
"MEDGL",
"MEDGLD",
"MEDIGOLD"
],
"avatarUrl": "https://prod-payer-avatars.payers.us.stedi.com/YKHRB/avatar.png?v=1766600157693",
"coverageTypes": [
"dental",
"medical"
],
"displayName": "Trinity Health Plan",
"enrollment": {
"ptanRequired": false,
"transactionEnrollmentProcesses": {
"claimPayment": {
"requestedEffectiveDate": "NOT_SUPPORTED",
"supportedAggregationPreferences": [
"NPI",
"TIN"
],
"timeframe": "DAYS",
"type": "ONE_CLICK"
}
}
},
"names": [
"MediGold",
"Medigold Health Plans",
"Mount Carmel Health Plan",
"Mount Carmel MediGold",
"Trinity Health Plan of Michigan"
],
"operatingStates": [
"ID",
"IA",
"MI",
"NY",
"OH"
],
"parentPayerGroupId": "GTRSH",
"parentPayerGroupName": "Trinity Health",
"primaryPayerId": "95655",
"programs": [
"MEDICARE"
],
"stediId": "YKHRB",
"transactionSupport": {
"claimPayment": "ENROLLMENT_REQUIRED",
"claimPaymentAdviceWithElectronicFundsTransfer": "NOT_SUPPORTED",
"claimStatus": "SUPPORTED",
"claimSubmission": "SUPPORTED",
"coordinationOfBenefits": "NOT_SUPPORTED",
"dentalClaimSubmission": "NOT_SUPPORTED",
"electronicFundsTransfer": "NOT_SUPPORTED",
"eligibilityCheck": "SUPPORTED",
"institutionalClaimSubmission": "SUPPORTED",
"professionalClaimSubmission": "SUPPORTED",
"unsolicitedClaimAttachment": "NOT_SUPPORTED"
},
"urls": {
"website": "https://www.thpmedicare.org"
}
}
],
"nextPageToken": "yrZ3we9982etYlMgmw=="
}